package com.zm.order.tool.server.inner;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

/**
 * 内部接口签名
 *
 * @author 宋欢
 */
public class InnerApiSignature implements Serializable {

    /**
     * 项目id
     */
    private int appId;

    /**
     * 别名
     */
    private String alias;

    /**
     * 内部接口调用的域名
     */
    private String baseUri;

    /**
     * 内部接口调用的签名密钥
     */
    private String appKey;

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public int getAppId() {
        return appId;
    }

    @JSONField(name = "id")
    public void setAppId(int appId) {
        this.appId = appId;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getBaseUri() {
        return baseUri;
    }

    @JSONField(name = "api_url")
    public void setBaseUri(String baseUri) {
        this.baseUri = baseUri;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

}
